aboutsummaryrefslogtreecommitdiff
path: root/go
diff options
context:
space:
mode:
Diffstat (limited to 'go')
-rwxr-xr-xgo46
1 files changed, 46 insertions, 0 deletions
diff --git a/go b/go
new file mode 100755
index 0000000..4ecadff
--- /dev/null
+++ b/go
@@ -0,0 +1,46 @@
+#!/bin/sh
+
+n=3
+
+rm -rf build
+
+p=`which python`
+
+case "$p"
+in
+/usr/stsci/*) : ;;
+*)
+ echo why is python set to $p
+ echo path = $PATH
+ exit 1
+ ;;
+esac
+
+unset PYTHONPATH
+
+there=/ssbwebv1/data2/steuermann/s$n
+
+rm -rf $there
+
+python setup.py -q install --home $there
+
+rm -f /eng/ssb/websites/ssb/steuermann/s$n.cgi
+
+ln -s $there/bin/steuermann_report.cgi /eng/ssb/websites/ssb/steuermann/s$n.cgi
+
+if grep -q s$n.cgi /eng/ssb/websites/ssb/index.html
+then
+ :
+else
+ id=/eng/ssb/websites/ssb
+
+ sed 's?<\!--STEUERMANN-->?<\!--STEUERMANN--><a href="steuermann/s'$n'.cgi">s'$n'</a> <br> ?' < $id/index.html > tmp
+
+ cp tmp $id/index.html
+ ls -l $id/index.html
+
+fi
+
+chgrp -R ssb $there
+
+